json-c 0.13

Data Fields
lh_table Struct Reference

## Data Fields
int | size
int | count
struct lh_entry * | head
struct lh_entry * | tail
struct lh_entry * | table
lh_entry_free_fn * | free_fn
lh_hash_fn * | hash_fn
lh_equal_fn * | equal_fn

## Detailed Description

The hash table structure.

## Field Documentation

## ◆ count

int lh_table::count

Numbers of entries.

## ◆ equal_fn

lh_equal_fn* lh_table::equal_fn

## ◆ free_fn

lh_entry_free_fn* lh_table::free_fn

A pointer onto the function responsible for freeing an entry.

## ◆ hash_fn

lh_hash_fn* lh_table::hash_fn

## ◆ head

struct lh_entry* lh_table::head

The first entry.

## ◆ size

int lh_table::size

Size of our hash.

## ◆ table

struct lh_entry* lh_table::table

## ◆ tail

struct lh_entry* lh_table::tail

The last entry.

The documentation for this struct was generated from the following file:

- linkhash.h